%define name xsidplay
%define version 1.6.2.1
%define release 1mdk

Name: %{name}
Summary: A Commdore 64 music player and SID chip emulator for X11.
Version: %{version}
Release: %{release}
Icon: %{name}.xpm
License: GPL
URL: http://www.geocities.com/SiliconValley/Lakes/5147/
Group: Sound
Source: %{name}-%{version}.tar.bz2
Source1: %{name}_large.xpm.bz2
Source2: %{name}_mini.xpm.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: libqt2-devel >= 2.2.3  libsidplay2-devel >= 2.0.7 libsidplay1-devel >= 1.36.47 tsid-devel >= 0.3
Requires: libqt2 >= 2.2.3

%description
This is a music player and SID chip emulator based in the SIDPLAY
library. With it you can listen to more than 10000 musics from old
and new C64 programs. The majority of available musics is in the
High Voltage SID Collection.

%package libsidplay2
Summary: Xsidplay version based on libsidplay2
Group: Sound
Requires: libsidplay2 >= 2.0.7 %{name} = %{version}

%description libsidplay2
This is a music player and SID chip emulator based in the SIDPLAY
library. With it you can listen to more than 10000 musics from old
and new C64 programs. The majority of available musics is in the
High Voltage SID Collection.

This package contains the version of xsidplay linked against the new version
of libsidplay, it needs much more processor power, but it has a much better 
sound quality.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
# optimization breaks it
export CXXFLAGS=`echo $RPM_OPT_FLAGS |sed -e s/-O3/-O2/`
%configure --with-qt-includes=%{_includedir}/qt2 --with-sidplay2
%make
mv src/xsidplay xsidplay-libsidplay2
make clean
%configure --with-qt-includes=%{_includedir}/qt2
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall pkgdatadir=$RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/xsidplay
?package(xsidplay):\
needs="x11"\
section="Multimedia/Sound"\
title="Xsidplay"\
longtitle="QT version of the C64 music player"\
command="xsidplay-libsidplay1"\
icon="xsidplay.xpm"
EOF
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/xsidplay.xpm
cp xsidplay-libsidplay2 $RPM_BUILD_ROOT%{_bindir}
# use our transparent icon
rm $RPM_BUILD_ROOT%{_miconsdir}/xsidplay.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/xsidplay.xpm
cd $RPM_BUILD_ROOT%{_bindir}
mv xsidplay xsidplay-libsidplay1

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
update-alternatives --install %{_bindir}/xsidplay xsidplay %{_bindir}/xsidplay-libsidplay1 10
[ -e %{_bindir}/%{name} ] || update-alternatives --auto %{name}

%postun
%{clean_menus}
[ "$1" = "0" ] || exit 0
update-alternatives --remove xsidplay %{_bindir}/xsidplay-libsidplay1


%post libsidplay2
update-alternatives --install %{_bindir}/xsidplay xsidplay %{_bindir}/xsidplay-libsidplay2 20

%postun libsidplay2
[ $1 = 0 ] || exit 0
update-alternatives --remove xsidplay %{_bindir}/xsidplay-libsidplay2

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README* hv_sids.faq STIL.faq
%doc example-sidtunes
%{_bindir}/xsidplay-libsidplay1
%{_iconsdir}/xsidplay.xpm
%{_iconsdir}/mini/xsidplay.xpm
%{_liconsdir}/xsidplay.xpm
%{_menudir}/xsidplay

%files libsidplay2
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/xsidplay-libsidplay2

%changelog
* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 1.6.2.1-1mdk
- updated from Gtz Waschk <waschk@linux-mandrake.com> 1.6.2.1-1mdk
	- 1.6.2.1

* Wed Aug  8 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-1mdk
- 1.6.1
- fixed icons

* Thu May  3 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-1mdk
- 1.6.0 final

* Thu Apr 19 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6-0.15mdk
- 1.6b12
- split libsidplay2-based version as an alternative

* Tue Mar 27 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.6-0.14mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com>:
	- Rebuild against TSID 0.3

* Tue Mar 20 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6-0.13mdk
- use gcc 2.96, else it doesn't work
- fix optimization flags to allow compilation

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.6-0.12mdk
- Rebuild against Qt 2.3.0

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6-0.11mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> 1.6-0.11mdk
	- 1.6pre11
	- updated documentation section
	- added build requirement for tsid-devel
- use egcs

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 1.5.4-2mdk
- Fix build

* Fri Oct 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5.4-1mdk
- updated to 1.5.4

* Fri Oct 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	1.5.2
	removed obsoleted patch

* Thu Oct 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.2-2mdk
- used srpm from Gtz Waschk :
	Wed Oct  4 2000 Gtz Waschk <waschk@linux-mandrake.com> 
	- includes brownpaperbag patch, fixes the parsing of SONGLENGTHS.txt

* Sun Oct  1 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- 1.4.2

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- used srpm from Gtz Waschk :
	Thu Sep 21 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
	- 1.4.0
	- macros
	- qt2

* Tue Jul 25 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.3.9-2mdk
- cleaned spec
- added large icon
- BM

* Sat Jul 15 2000 Gtz Waschk <goetz@linux-mandrake.com> 1.3.9-1mdk
- initial mandrake release

